package com.zjrs.appcomm.template.excel.mapper;

/**
 * Sheet坐标信息
 * @author froms
 *
 */
public class SheetCoordinate {
	
	/* 行坐标(从0开始计算) */
	private int row;
	public int getRow() { return row; }
	public void setRow(int row) { this.row = row; }

	/* 列坐标(从0开始计算) */
	private int col;
	public int getCol() { return col; }
	public void setCol(int col) { this.col = col; }

	/* 所在单元格样式(可以为null) */
	private CellStyler styler;
	public CellStyler getStyler() { return styler; }
	public void setStyler(CellStyler styler) { this.styler = styler; }
	
	public SheetCoordinate(int row, int col) {
		this(row, col, null);
	}
	public SheetCoordinate(int row, int col, CellStyler styler) {
		this.row = row;
		this.col = col;
		this.styler = styler;
	}
	
}
